#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false); cin.tie(NULL);cout.tie(NULL);
    int n;
    cin>>n;
    int i1,i2,m;
    string s;
    for(int i=0;i<n;i++)
       {
            cin>>i1>>i2>>s;
            if(i1>m) m=i1;
            if(i2>m)m=i2;
       }
    if(m==6)
    cout<<3;
    else cout<<2;
}